Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.owlapi
Class EntailmentChecker

    java.lang.Object
      org.mindswap.pellet.owlapi.EntailmentChecker

All Implemented Interfaces:
  org.semanticweb.owl.model.OWLAxiomVisitor

    public class EntailmentChecker

extends java.lang.Object
implements org.semanticweb.owl.model.OWLAxiomVisitor

Title:

Description:

Copyright: Copyright (c) 2006

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`EntailmentChecker(Reasoner reasoner)`

Method Summary
`boolean` | `isEntailed(org.semanticweb.owl.model.OWLAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLAntiSymmetricObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLAxiomAnnotationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLClassAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataPropertyDomainAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataPropertyRangeAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDataSubPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDeclarationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDifferentIndividualsAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointClassesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointDataPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointObjectPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLDisjointUnionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEntityAnnotationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEquivalentClassesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEquivalentDataPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLEquivalentObjectPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLFunctionalDataPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLFunctionalObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLImportsDeclaration axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLInverseFunctionalObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLInverseObjectPropertiesAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLIrreflexiveObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLNegativeDataPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLNegativeObjectPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyAssertionAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyChainSubPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyDomainAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectPropertyRangeAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLObjectSubPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLOntologyAnnotationAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLReflexiveObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLSameIndividualsAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLSubClassAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLSymmetricObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.OWLTransitiveObjectPropertyAxiom axiom)`
`void` | `visit(org.semanticweb.owl.model.SWRLRule rule)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### EntailmentChecker

    public EntailmentChecker(Reasoner reasoner)

Method Detail

### isEntailed

    public boolean isEntailed(org.semanticweb.owl.model.OWLAxiom axiom)

### visit

    public void visit(org.semanticweb.owl.model.OWLSubClassAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLNegativeObjectPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLAntiSymmetricObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLReflexiveObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointClassesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataPropertyDomainAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLImportsDeclaration axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLAxiomAnnotationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyDomainAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEquivalentObjectPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLNegativeDataPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDifferentIndividualsAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointDataPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointObjectPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyRangeAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLFunctionalObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectSubPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDisjointUnionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDeclarationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEntityAnnotationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLOntologyAnnotationAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLSymmetricObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataPropertyRangeAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLFunctionalDataPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEquivalentDataPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLClassAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLEquivalentClassesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataPropertyAssertionAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLTransitiveObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLIrreflexiveObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLDataSubPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLInverseFunctionalObjectPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLSameIndividualsAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLObjectPropertyChainSubPropertyAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.OWLInverseObjectPropertiesAxiom axiom)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

### visit

    public void visit(org.semanticweb.owl.model.SWRLRule rule)

  Specified by:
    `visit` in interface `org.semanticweb.owl.model.OWLAxiomVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.